Wireshark-dev: Re: [Wireshark-dev] Warning when building with latest Qt
From: "Maynard, Chris" <[email protected]>
Date: Fri, 9 Nov 2018 16:30:11 +0000

Yes, I’ve seen the same warning.  As far as I can tell, it’s because qtmain.pdb was not included in the Qt 5.11.2 installation by the Qt folks.

 

For example, compare the presence of qtmain.pdb in: C:\Qt\5.11.1\msvc2017_64\lib\ to its notable absence in C:\Qt\5.11.2\msvc2017_64\lib\.

 

- Chris

 

 

From: Wireshark-dev [mailto:[email protected]] On Behalf Of Anders Broman
Sent: Friday, November 9, 2018 9:31 AM
To: [email protected]
Subject: [Wireshark-dev] Warning when building with latest Qt

 

Hi,

I just got a new PC and set up the development environment. When building with Qt 5.11.2 I get

 

3>qtmain.lib(qtmain_win.obj) : warning LNK4099: PDB 'qtmain.pdb' was not found with 'qtmain.lib(qtmain_win.obj)' o

       r at 'C:\Development\wsbuild64\run\RelWithDebInfo\qtmain.pdb'; linking object as if no debug info [C:\Developmen

       t\wsbuild64\wireshark.vcxproj]

 

Has anyone else seen it? How to fix?

Regards

Anders

CONFIDENTIALITY NOTICE: This message is the property of International Game Technology PLC and/or its subsidiaries and may contain proprietary, confidential or trade secret information. This message is intended solely for the use of the addressee. If you are not the intended recipient and have received this message in error, please delete this message from your system. Any unauthorized reading, distribution, copying, or other use of this message or its attachments is strictly prohibited.